Tried updating to 2.5, failed. Then tried 2.4, failed. So I am trying to re-install 2.3 which is what was installed when I purchased the hardware....